Package org.drinkless.tdlib

# Class TdApi.SearchMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundMessages>
org.drinkless.tdlib.TdApi.SearchMessages

Enclosing class:
  TdApi

public static class TdApi.SearchMessages extends TdApi.Function<TdApi.FoundMessages>
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundMessages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatList`
  `chatList`
  Chat list in which to search messages; pass null to search in all chats regardless of their chat list.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SearchMessagesFilter`
  `filter`
  Additional filter for messages to search; pass null to search for all messages.
  `int`
  `limit`
  The maximum number of messages to be returned; up to 100.
  `int`
  `maxDate`
  If not 0, the maximum date of the messages to return.
  `int`
  `minDate`
  If not 0, the minimum date of the messages to return.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `boolean`
  `onlyInChannels`
  Pass true to search only for messages in channels.
  `String`
  `query`
  Query to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchMessages()`
  Default constructor for a function, which searches for messages in all chats except secret chats.
  `SearchMessages(TdApi.ChatList chatList, boolean onlyInChannels, String query, String offset, int limit, TdApi.SearchMessagesFilter filter, int minDate, int maxDate)`
  Creates a function, which searches for messages in all chats except secret chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatList

    public TdApi.ChatList chatList
    Chat list in which to search messages; pass null to search in all chats regardless of their chat list. Only Main and Archive chat lists are supported.

  - ### onlyInChannels

    public boolean onlyInChannels
    Pass true to search only for messages in channels.

  - ### query

    public String query
    Query to search for.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

  - ### filter

    public TdApi.SearchMessagesFilter filter
    Additional filter for messages to search; pass null to search for all messages. Filters searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterFailedToSend, and searchMessagesFilterPinned are unsupported in this function.

  - ### minDate

    public int minDate
    If not 0, the minimum date of the messages to return.

  - ### maxDate

    public int maxDate
    If not 0, the maximum date of the messages to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchMessages

    public SearchMessages()
    Default constructor for a function, which searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundMessages`

  - ### SearchMessages

    public SearchMessages(TdApi.ChatList chatList, boolean onlyInChannels, String query, String offset, int limit, TdApi.SearchMessagesFilter filter, int minDate, int maxDate)
    Creates a function, which searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundMessages`

    Parameters:
      `chatList` - Chat list in which to search messages; pass null to search in all chats regardless of their chat list. Only Main and Archive chat lists are supported.
      `onlyInChannels` - Pass true to search only for messages in channels.
      `query` - Query to search for.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
      `filter` - Additional filter for messages to search; pass null to search for all messages. Filters searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterFailedToSend, and searchMessagesFilterPinned are unsupported in this function.
      `minDate` - If not 0, the minimum date of the messages to return.
      `maxDate` - If not 0, the maximum date of the messages to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundMessages>`
    Returns:
      this.CONSTRUCTOR